#!/usr/bin/env python

#
# See __doc__ for an explanation of what this module does
#
# See __usage__ for an explanation of runtime arguments.
#
# -Christopher Blunck
#

import sys, os, unittest

__author__ = 'Christopher Blunck'
__email__ = 'chris@wxnet.org'
__revision__ = '$Revision: 1.6 $'

__doc__ = \
'''
Runs tests in a given directory
'''

__usage__ = \
'''
This module should be run from the command line
'''

from suitebuilder import createSuite
from constants import EXCLUDED_TESTS


def usage():
    print __usage__
    sys.exit(1)


def test(dir, excluded=EXCLUDED_TESTS):
    """
    runs all of the tests in the directory provided
    """
    
    # make sure the module can be loaded
    os.chdir(dir)
    sys.path.insert(0, dir)

    # create a test suite
    suite = createSuite(dir, excluded)
    
    # run dem tests!
    runner = unittest.TextTestRunner()
    runner.run(suite)

